Name:           perl-Moose-Policy
Version:        0.03
Release:        2%{?dist}.1
Summary:        Police your project/company-wide Moose policies
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Moose-Policy/
Source0:        http://www.cpan.org/authors/id/S/ST/STEVAN/Moose-Policy-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Moose) >= 0.20
# tests
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Exception) >= 0.21
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module allows you to specify your project-wide or even company-wide
Moose meta-policy.

Most all of Moose's features can be customized through the use of custom
metaclasses, however fiddling with the metaclasses can be hairy. Moose::Policy
removes most of that hairiness and makes it possible to cleanly contain a set
of meta-level customizations in one easy to use module.

This is an early release of this module and it should not be considered to be
complete by any means. It is very basic implemenation at this point and will
likely get more feature-full over time, as people request features. So if you
have a suggestion/need/idea, please speak up.

%prep
%setup -q -n Moose-Policy-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-2
- rebuild for new perl

* Mon Apr 16 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.03-1
- update to 0.03

* Mon Nov 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-2
- bump

* Mon Nov 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.02-1
- Specfile autogenerated by cpanspec 1.69.1.
